
(function () {
    var lanMacId = ""
    var ethernetMacId = ""

    function webLog(str) {
        window.webLog && window.webLog("api:" + str)
    }

    function getWebapis() {
        webLog("getWebapis")
        return webapis
    }

    function getNetworkType() {
        webLog("getNetworkType")
        try {
            // 1 wify 2 4G 3有线
            return webapis.network.getActiveConnectionType()
        } catch (e) {
            webLog("getNetworkType error" + e.message)
            return ""
        }
    }

    function getMacId(type) {
        var macId = ""
        type = type || getNetworkType()
        webLog("getMacId type " + type)
        try {
            if (type === 3) {
                if (lanMacId) {
                    macId = lanMacId
                } else {
                    macId = webapis.network.getMac()
                    lanMacId = macId
                }
            } else { // 无线
                if (ethernetMacId) {
                    macId = ethernetMacId
                } else {
                    macId = webapis.network.getEthernetMac()
                    ethernetMacId = macId
                }
            }
        } catch (e) {
            webLog("getMacId error" + type + e.message)
        }
        return macId
    }

    function nativeWebView(container, option, callback) {
        webLog("nativeWebView")
        if (container && container.getBoundingClientRect) {
            var rect = container.getBoundingClientRect()
            return new TizenWebView({
                x: rect.left,
                y: rect.top,
                w: rect.width,
                h: rect.height
            })
        }
        return new TizenWebView()
    }

    window.TizenApiObject = {
        "getWebapis": getWebapis,
        "getNetworkType": getNetworkType,
        "getMacId": getMacId,
        "nativeWebView": nativeWebView
    }
})()